Package com.stardog.stark.query.io.json

# Interface SPARQLJSONConstants

All Known Implementing Classes:
  `SPARQLJSONBooleanResultParser`, `SPARQLJSONSelectResultParser`

public interface SPARQLJSONConstants

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BINDINGS`
  `static final String`
  `BNODE`
  `static final String`
  `BOOLEAN`
  `static final String`
  `CONTEXT`
  `static final String`
  `DATATYPE`
  `static final String`
  `DISTINCT`
  Backwards compatibility with very early version of original SPARQL spec.
  `static final String`
  `HEAD`
  `static final String`
  `LINK`
  `static final String`
  `LITERAL`
  `static final String`
  `OBJECT`
  `static final String`
  `ORDERED`
  Backwards compatibility with very early version of original SPARQL spec.
  `static final String`
  `PREDICATE`
  `static final String`
  `RESULTS`
  `static final String`
  `STATEMENT`
  `static final String`
  `SUBJECT`
  `static final String`
  `TYPE`
  `static final String`
  `TYPED_LITERAL`
  `static final String`
  `URI`
  `static final String`
  `VALUE`
  `static final String`
  `VARS`
  `static final String`
  `XMLLANG`

- ## Field Details

  - ### HEAD

    static final String HEAD
    See Also:
      - Constant Field Values

  - ### LINK

    static final String LINK
    See Also:
      - Constant Field Values

  - ### VARS

    static final String VARS
    See Also:
      - Constant Field Values

  - ### BOOLEAN

    static final String BOOLEAN
    See Also:
      - Constant Field Values

  - ### RESULTS

    static final String RESULTS
    See Also:
      - Constant Field Values

  - ### BINDINGS

    static final String BINDINGS
    See Also:
      - Constant Field Values

  - ### TYPE

    static final String TYPE
    See Also:
      - Constant Field Values

  - ### VALUE

    static final String VALUE
    See Also:
      - Constant Field Values

  - ### XMLLANG

    static final String XMLLANG
    See Also:
      - Constant Field Values

  - ### DATATYPE

    static final String DATATYPE
    See Also:
      - Constant Field Values

  - ### LITERAL

    static final String LITERAL
    See Also:
      - Constant Field Values

  - ### TYPED_LITERAL

    static final String TYPED_LITERAL
    See Also:
      - Constant Field Values

  - ### BNODE

    static final String BNODE
    See Also:
      - Constant Field Values

  - ### URI

    static final String URI
    See Also:
      - Constant Field Values

  - ### STATEMENT

    static final String STATEMENT
    See Also:
      - Constant Field Values

  - ### SUBJECT

    static final String SUBJECT
    See Also:
      - Constant Field Values

  - ### PREDICATE

    static final String PREDICATE
    See Also:
      - Constant Field Values

  - ### OBJECT

    static final String OBJECT
    See Also:
      - Constant Field Values

  - ### CONTEXT

    static final String CONTEXT
    See Also:
      - Constant Field Values

  - ### DISTINCT

    static final String DISTINCT
    Backwards compatibility with very early version of original SPARQL spec.
    See Also:
      - Constant Field Values

  - ### ORDERED

    static final String ORDERED
    Backwards compatibility with very early version of original SPARQL spec.
    See Also:
      - Constant Field Values